summaryrefslogtreecommitdiff
path: root/dev-python/pytest-toolbox
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-08 13:44:00 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-04-08 13:44:00 +0000
commite51dc9ec042186f54c0ca56dff3d4ea2ec3d5c55 (patch)
treefa92723ea301f2197e34ff8f1e419977183244ee /dev-python/pytest-toolbox
parent887ffcc6e2a55ac3736d297b2d746c2c804e09c4 (diff)
downloadbaldeagleos-repo-e51dc9ec042186f54c0ca56dff3d4ea2ec3d5c55.tar.gz
baldeagleos-repo-e51dc9ec042186f54c0ca56dff3d4ea2ec3d5c55.tar.xz
baldeagleos-repo-e51dc9ec042186f54c0ca56dff3d4ea2ec3d5c55.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-toolbox')
-rw-r--r--dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild33
-rw-r--r--dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild5
2 files changed, 36 insertions, 2 deletions
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
new file mode 100644
index 000000000000..8878f65ad3a4
--- /dev/null
+++ b/dev-python/pytest-toolbox/pytest-toolbox-0.4-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Numerous useful plugins for pytest"
+HOMEPAGE="https://pypi.org/project/pytest-toolbox/ https://github.com/samuelcolvin/pytest-toolbox/"
+SRC_URI="
+ https://github.com/samuelcolvin/pytest-toolbox/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/pydantic[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -e '/addopts/d' -i setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild b/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
index edee197e26eb..eaa326f9edbe 100644
--- a/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
+++ b/dev-python/pytest-toolbox/pytest-toolbox-0.4.ebuild
@@ -1,9 +1,10 @@
-# Copyright 2021 Gentoo Authors
+# Copyright 2021-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{7,8,9,10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
inherit distutils-r1
DESCRIPTION="Numerous useful plugins for pytest"